aboutsummaryrefslogtreecommitdiffstats
path: root/src/install_build_deps.sh
diff options
context:
space:
mode:
authorMaryam Tahhan <maryam.tahhan@intel.com>2016-12-02 17:32:22 +0000
committerMaryam Tahhan <maryam.tahhan@intel.com>2016-12-05 13:17:43 +0000
commit843ea84d9da3a4a20a7ad388d94ae8c861380254 (patch)
tree47ee1849d62e4aee406abceeed7e28009ae2cdf0 /src/install_build_deps.sh
parent791bf2a756c8d4e7e7b2937481ee2d8d5d95fb97 (diff)
src: build all dependencies and plugins
Build all dependencies and plugins. Provide sample plugin configurations and update user guide. Change-Id: I5170c84529e514e12bb1bd4dc34ecdd93eb764d7 Signed-off-by: Maryam Tahhan <maryam.tahhan@intel.com>
Diffstat (limited to 'src/install_build_deps.sh')
-rwxr-xr-xsrc/install_build_deps.sh74
1 files changed, 74 insertions, 0 deletions
diff --git a/src/install_build_deps.sh b/src/install_build_deps.sh
new file mode 100755
index 00000000..7c6a89a2
--- /dev/null
+++ b/src/install_build_deps.sh
@@ -0,0 +1,74 @@
+#!/bin/bash
+# Copyright 2016 OPNFV
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+set -eux
+sudo apt-get -y install build-essential dh-autoreconf fakeroot devscripts dpkg-dev git wget
+
+sudo apt-get -y install \
+ debhelper dpkg-dev po-debconf dh-systemd dh-strip-nondeterminism \
+ bison flex autotools-dev libltdl-dev pkg-config \
+ iptables-dev \
+ javahelper \
+ libatasmart-dev \
+ libcap-dev \
+ libcurl4-gnutls-dev \
+ libdbi0-dev \
+ libesmtp-dev \
+ libganglia1-dev \
+ libgcrypt11-dev \
+ libglib2.0-dev \
+ libgps-dev \
+ libhiredis-dev \
+ libi2c-dev \
+ libldap2-dev \
+ liblua5.3-dev \
+ liblvm2-dev \
+ libmemcached-dev \
+ libmodbus-dev \
+ libmnl-dev \
+ libmosquitto-dev \
+ libmysqlclient-dev \
+ libnotify-dev \
+ libopenipmi-dev \
+ liboping-dev \
+ libow-dev \
+ libpcap0.8-dev \
+ libpcap-dev\
+ libperl-dev \
+ libpq-dev \
+ libprotobuf-c-dev \
+ libriemann-client-dev \
+ librdkafka-dev \
+ librabbitmq-dev \
+ librrd-dev \
+ libsensors4-dev \
+ libsigrok-dev \
+ libsnmp-dev \
+ libsnmp9-dev \
+ perl \
+ libtokyocabinet-dev \
+ libtokyotyrant-dev \
+ libudev-dev \
+ libupsclient-dev \
+ libvarnishapi-dev \
+ libvirt-dev \
+ libxen-dev \
+ libxml2-dev \
+ libyajl-dev \
+ linux-libc-dev \
+ default-jdk \
+ protobuf-c-compiler \
+ python-dev \
+ openvswitch-switch
+